core.content

## Class InteractionContent

- java.lang.Object
- - core.content.Content
  - - core.content.InteractionContent

-     public class InteractionContent
      extends Content

  Created with IntelliJ IDEA. User: Diego Date: 18/10/13 Time: 07:01 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `function`
    `java.lang.String` | `object1`
    `java.lang.String` | `object2`

    - ### Fields inherited from class core.content.Content

      `identifier, is_definition, line, parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InteractionContent()` Default constructor.
    `InteractionContent(java.lang.String line)` Constructor that extracts the contents from a String line
    `InteractionContent(java.lang.String id1, java.lang.String id2, java.lang.String function)` Simple constructor that receives an identifier and a reference class

  - ### Method Summary

    - ### Methods inherited from class core.content.Content

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### object1

          public java.lang.String object1

    - #### object2

          public java.lang.String object2

    - #### function

          public java.lang.String function

  - ### Constructor Detail

    - #### InteractionContent

          public InteractionContent()

      Default constructor.

    - #### InteractionContent

          public InteractionContent(java.lang.String id1,
                            java.lang.String id2,
                            java.lang.String function)

      Simple constructor that receives an identifier and a reference class
      Parameters:
        `id1` - identifier of the first object in the interaction.
        `id2` - identifier of the second object in the interaction.

    - #### InteractionContent

          public InteractionContent(java.lang.String line)

      Constructor that extracts the contents from a String line
      Parameters:
        `line` - String with the contents in VGDL format, to be mapped to the data structures of this class.